問題

私は展開のためにAzure PowerShellタスクを実行するためにLinuxビルドエージェントを使用しています。 タスクが実行されると、次のエラーが発生します

「現在のオペレーティングシステムはこのタスクを実行することができません。つまり、タスクがWindows専用で書かれたことを意味します。たとえば、Windows Desktop PowerShell用に書かれています。

私はちょうど "hello world"を印刷するためにスクリプトを減らしても同じエラーが発生します。

私の印象は、「Azure powershellタスク」はクロスプラットフォームであるということでした。しかし、それはエラーが言うものではなく、少なくとも私が解釈できるものです。

この問題が何であるか、どんな助けでも大歓迎です。

  ベストアンサー

  同じタグがついた質問を見る

azureazure-pipelines